<div> <p> Delete Custom Field By Id </p> <div> <span style= "display: inline-block; width: 25px; height: 25px; background-color: yellow; color: black; font-weight: bold; font-size: 24px; text-align: center; line-height: 22px; border: 2px solid black; border-radius: 10%; margin-right: 10px;"> ! </span> <span> <strong> Only supports Custom Objects and Company (Business) today. Will be extended to other Standard Objects in the future. </strong> </span> </div> </div>

http
DELETE https://services.leadconnectorhq.com/custom-fields/{id}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
idstringYes

Responses

200 - Successful response
  • succeded (boolean, required): Example: True

  • id (string, required): Example: 3v34PM428h8vShlRW1KT

  • key (string, required): Example: custom_object.pet.name

json
{
  "succeded": true,
  "id": "3v34PM428h8vShlRW1KT",
  "key": "custom_object.pet.name"
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}

Example

curl -X DELETE 'https://services.leadconnectorhq.com/custom-fields/YOUR_id' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?